## alltraxclock 0.3

=== Makefile ===
GTK_INCLUDE = `gtk-config --cflags`
GTK_LIB = `gtk-config --libs`

IMLIB_INCLUDE = `imlib-config --cflags-gdk`
IMLIB_LIB = `imlib-config --libs-gdk`


FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB)
LFLAGS = -g -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = alltraxclock.o

alltraxclock.so: $(OBJS)
	$(CC) $(OBJS) -o alltraxclock.so $(LFLAGS) $(LIBS)  -lpthread

clean:
	rm -f *.o core *.so* *.bak *~

alltraxclock.o: alltraxclock.c

test :
	gkrellm -p alltraxclock.so

install:
	if [ -d /usr/share/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 alltraxclock.so /usr/share/gkrellm/plugins/ ; \
	else \
		install -D -c -s -m 644 alltraxclock.so /usr/share/gkrellm/plugins/alltraxclock.so ; \
	fi

uninstall:
	rm -f /usr/share/gkrellm/plugins/alltraxclock.so

## alltraxclock 2.0.2

=== Makefile ===
GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`

GTK_LIB = `pkg-config gtk+-2.0 --libs`

PLUGIN_DIR = /usr/lib/gkrellm2/plugins

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB)
LFLAGS = -g -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = alltraxclock.o

alltraxclock.so: $(OBJS)
	$(CC) $(OBJS) -o alltraxclock.so $(LFLAGS) $(LIBS)  -lpthread

clean:
	rm -f *.o core *.so* *.bak *~

alltraxclock.o: alltraxclock.c

test :
	gkrellm -p alltraxclock.so

install:
	if [ -d $(PLUGIN_DIR) ] ; then \
		install -c -s -m 644 alltraxclock.so $(PLUGIN_DIR) ; \
	else \
		install -D -c -s -m 644 alltraxclock.so $(PLUGIN_DIR)/alltraxclock.so ; \
	fi

uninstall:
	rm -f $(PLUGIN_DIR)/alltraxclock.so

## alltraxclock 2.0.2-0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
-GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
+GTK_INCLUDE = `pkg-config --cflags gtk+-2.0`
+GTK_LIB = `pkg-config --libs gtk+-2.0`
 
-GTK_LIB = `pkg-config gtk+-2.0 --libs`
+#IMLIB_INCLUDE = `imlib-config --cflags-gdk`
+#IMLIB_LIB = `imlib-config --libs-gdk`
 
-PLUGIN_DIR = /usr/lib/gkrellm2/plugins
+PLUGIN_DIR = /usr/share/gkrellm/plugins
 
-FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE)
+FLAGS = -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE)
 LIBS = $(GTK_LIB) $(IMLIB_LIB)
 LFLAGS = -g -shared

=== debian/changelog ===
alltraxclock (2.0.2-0) unstable; urgency=low

  * Maintainer upload, closes: #200703.

  * Fleshen the description of the package with some extracted
    from the GKrellM package (Closes: #209635).

  * Changing numbering scheme to help tracking upstream's version numbering 

 -- Romain Lerallut <romain@debian.org>  Sat,  8 Nov 2003 12:53:46 +0100

alltraxclock (0.3-3.2) unstable; urgency=low

  * NMU (RC bug more than 3 months old).
  * [debian/control] Now conflict with gkrellm-alltraxclock2.
    (Closes: #200703)
  * [debian/control] Standards version 3.6.1.
  * [debian/rules] debhelper v.4, honour noopt, and general clean up.

 -- Jens Peter Secher <jps@debian.org>  Thu, 30 Oct 2003 01:13:16 +0100

alltraxclock (0.3-3.1) unstable; urgency=low

  * NMU (RC bug more than 2 months old).
  * Ported alltraxclock.c to use the gkrellm2 API.
  * Ported Makefile to use Gtk2 instead of Gtk1 + imlib.
  * debian/control:
    + Removed the gdk-imlib-dev build-dependency (Closes: #187639).
    + Set policy to 3.5.10.
    + Removed the leading "an" in the package description.
  * debian/rules:
    + Set plugin dir to /usr/lib/gkrellm2/plugins.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  5 Jun 2003 02:14:56 +0200

alltraxclock (0.3-3) unstable; urgency=low

  * the "Come on, let's try to follow FHS" release

  * don't install plugins in /usr/share, dammit ! (Closes: #153432)

 -- Romain Lerallut <romain@debian.org>  Tue, 23 Jul 2002 22:37:38 +0200

alltraxclock (0.3-2) unstable; urgency=low

  * applied upstream patches: (thanks Grigory Batalov) 
     - moved info to 'about' tab
     - right-click pops up config dialog
     - modified Makefile

 -- Romain Lerallut <romain@debian.org>  Wed, 22 May 2002 22:39:56 +0200

alltraxclock (0.3-1) unstable; urgency=low

  * new upstream, nice numbers available as an option

 -- Romain Lerallut <romain@debian.org>  Mon,  8 Apr 2002 20:37:40 +0200

alltraxclock (0.2-4) unstable; urgency=low

  * moving to section 'x11' instead of 'sound' (Closes: #135763) 

 -- Romain Lerallut <romain@debian.org>  Tue, 26 Feb 2002 01:36:18 +0100

alltraxclock (0.2-3) unstable; urgency=low

  * Breathe deeply, type slowly, and close the right bug:
  * added 'gdk-imlib-dev' to build-depends (Closes: #133157)

 -- Romain Lerallut <romain@debian.org>  Wed, 13 Feb 2002 20:49:58 +0100

alltraxclock (0.2-2) unstable; urgency=low

  * Forgot to close WNPP bug (Closes: #132661)
  * added 'gdk-imlib-dev' to build-depends (Closes: #133156)

 -- Romain Lerallut <romain@debian.org>  Sun, 10 Feb 2002 12:01:46 +0100

alltraxclock (0.2-1) unstable; urgency=low

  * New upstream release, new version numbering scheme 
  * It's 'analog', not 'analogic' ! Thanks Dave.

 -- Romain Lerallut <romain@debian.org>  Thu,  7 Feb 2002 09:33:37 +0100

=== debian/control ===
Source: alltraxclock
Section: x11
Priority: optional
Maintainer: Romain Lerallut <romain@debian.org>
Build-Depends: debhelper (>= 4), gkrellm-common (>= 2.1.12), libgtk2.0-dev
Standards-Version: 3.6.1

Package: gkrellm-alltraxclock
Architecture: any
Depends: gkrellm (>=2.1), ${shlibs:Depends}
Conflicts: gkrellm-alltraxclock2
Replaces: gkrelmm-alltraxclock2
Description: analog clock plugin for GKrellM
 This plugin is a nice-looking analog clock plugin for gkrellm. 
 .
 GKrellM is a set of stacked system monitors in 1 process.
 GKrellM charts CPU, Disk, and all active net interfaces automatically.
 An on/off button and online timer for the PPP interface is provided.
 Meters for memory and swap usage as well as a system uptime monitor
 are provided.
 .
 Homepage: http://perso.wanadoo.fr/alltrax/alltraxclock.html

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall -Wimplicit
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O2
else
CFLAGS += -O0
endif

tmp=$(shell pwd)/debian/gkrellm-alltraxclock
dh_sharedir=usr/share/gkrellm2/plugins
dh_libdir=usr/lib/gkrellm2/plugins

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir 
	dh_testroot
	dh_clean 
	dh_installdirs
	dh_installdirs $(dh_libdir)
	cp alltraxclock.so $(tmp)/$(dh_libdir)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
